define("icyWildsComponentsWincapPort", ["componentmodelComponentApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof icyWildsComponentsWincapPort == 'undefined') {
            var icyWildsComponentsWincapPort = {};
        };

        icyWildsComponentsWincapPort.IWinCapImplementationPort = function() {}
        icyWildsComponentsWincapPort.IWinCapImplementationPort.prototype = {

            getShowMessage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getClosedMessage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        icyWildsComponentsWincapPort.IWinCapPort = function() {}
        icyWildsComponentsWincapPort.IWinCapPort.prototype = {

            getShowMessage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getClosedMessage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        icyWildsComponentsWincapPort.WinCapPort = function(bus) {
            this._closedMessage = new clientkernelEventbusApi.Topic("wincap:closedMessage");
            this._showMessage = new clientkernelEventbusApi.Topic("wincap:showMessage");
            this._showMessage.connect(bus);
            this._closedMessage.connect(bus);
        };
        icyWildsComponentsWincapPort.WinCapPort = ck_implements(icyWildsComponentsWincapPort.WinCapPort, icyWildsComponentsWincapPort.IWinCapPort);
        icyWildsComponentsWincapPort.WinCapPort = ck_implements(icyWildsComponentsWincapPort.WinCapPort, icyWildsComponentsWincapPort.IWinCapImplementationPort);
        icyWildsComponentsWincapPort.WinCapPort.__interfaces__ = [icyWildsComponentsWincapPort.IWinCapPort, icyWildsComponentsWincapPort.IWinCapImplementationPort];
        icyWildsComponentsWincapPort.WinCapPort.__name__ = ["icyWildsComponentsWincapPort", "WinCapPort"];
        icyWildsComponentsWincapPort.WinCapPort.prototype._showMessage = null;
        icyWildsComponentsWincapPort.WinCapPort.prototype._closedMessage = null;
        icyWildsComponentsWincapPort.WinCapPort.prototype.getShowMessage = function() {
            return this._showMessage;
        };
        icyWildsComponentsWincapPort.WinCapPort.prototype.getClosedMessage = function() {
            return this._closedMessage;
        };
        icyWildsComponentsWincapPort.WinCapPort.prototype.__class__ = icyWildsComponentsWincapPort.WinCapPort;
        icyWildsComponentsWincapPort.WinCapPortFactory = function() {};
        icyWildsComponentsWincapPort.WinCapPortFactory = ck_implements(icyWildsComponentsWincapPort.WinCapPortFactory, componentmodelComponentApi.IPortFactory);
        icyWildsComponentsWincapPort.WinCapPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        icyWildsComponentsWincapPort.WinCapPortFactory.__name__ = ["icyWildsComponentsWincapPort", "WinCapPortFactory"];
        icyWildsComponentsWincapPort.WinCapPortFactory.prototype.provide = function(channel) {
            return new icyWildsComponentsWincapPort.WinCapPort(channel);
        };
        icyWildsComponentsWincapPort.WinCapPortFactory.prototype["use"] = function(channel) {
            return new icyWildsComponentsWincapPort.WinCapPort(channel);
        };
        icyWildsComponentsWincapPort.WinCapPortFactory.prototype.__class__ = icyWildsComponentsWincapPort.WinCapPortFactory;
        return {
            exports: icyWildsComponentsWincapPort
        };
    });
//# sourceURL=icyWildsWinCapPort.js